# Class SAMException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
htsjdk.samtools.SAMException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `CRAMException, DateParser.InvalidDateException, FileTruncatedException, RuntimeEOFException, RuntimeIOException, SAMFormatException, SequenceUtil.SequenceListsDifferException`

public class SAMException extends RuntimeException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SAMException()`
`SAMException(String s)`
`SAMException(String s, Throwable throwable)`
`SAMException(Throwable throwable)`

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SAMException

public SAMException()

### SAMException

public SAMException(String s)

### SAMException

public SAMException(String s, Throwable throwable)

### SAMException

public SAMException(Throwable throwable)